# Interface FieldExtensionCollection

The collection of field extensions belonging to a data/Schema!Schema.

interface FieldExtensionCollection {
initializedItems: ReadOnlyCollection<FieldExtension>;
forField(field: Field): FieldExtension;
}

#### Hierarchy (view full)

- InitializableCollection<FieldExtensionProperties, FieldExtension>
  - FieldExtensionCollection

#####
Index

### Properties

initializedItems

### Methods

forField

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<FieldExtension>

Returns a collection of the initialized items.

Inherited from InitializableCollection.initializedItems

##
Methods

### forField

- forField(field): FieldExtension

- Returns the field extension for the given field.

  #### Parameters

  - field: Field

    The field to get the field extension for.

  #### Returns FieldExtension